petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateAggregates

Gets the aggregates that map between grids associated with two DMs.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreateAggregates(DM dmc, DM dmf, Mat *rest)

Collective on DM Many br

### Input Parameters

| dmc | - the coarse grid DM Many br
| dmf | - the fine grid DM Many br

### Output Parameters

rest -the restriction matrix (transpose of the projection matrix) Many br

Many br

### Keywords

interpolation, restriction, multigrid

### See Also

DMRefine(), DMCreateInjection(), DMCreateInterpolation()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages